Package net.md_5.bungee.nbt

# Class NamedTag

java.lang.Object
net.md_5.bungee.nbt.NamedTag

All Implemented Interfaces:
  `Tag`

public class NamedTag extends Object implements Tag

- ## Field Summary

  ### Fields inherited from interface net.md_5.bungee.nbt.Tag

  `ARRAY_HEADER, BYTE, BYTE_ARRAY, COMPOUND, CONSTRUCTORS, DOUBLE, END, FLOAT, INT, INT_ARRAY, LIST, LONG, LONG_ARRAY, OBJECT_HEADER, OBJECT_REFERENCE, SHORT, STRING, STRING_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NamedTag()`
  `NamedTag(String name, TypedTag tag)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `String`
  `getName()`
  `TypedTag`
  `getTag()`
  `int`
  `hashCode()`
  `void`
  `read(DataInput input, NBTLimiter limiter)`
  Reads the data of the `DataInput` and parses it into this `NamedTag`.
  `void`
  `setName(String name)`
  `void`
  `setTag(TypedTag tag)`
  `String`
  `toString()`
  `void`
  `write(DataOutput output)`
  Write this `NamedTag` into a `DataOutput`.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### NamedTag

    public NamedTag()

  - ### NamedTag

    public NamedTag(String name, TypedTag tag)

- ## Method Details

  - ### read

    public void read(DataInput input, NBTLimiter limiter) throws IOException
    Reads the data of the `DataInput` and parses it into this `NamedTag`.
    Specified by:
      `read` in interface `Tag`
    Parameters:
      `input` - input to read from
      `limiter` - limitation of the read data
    Throws:
      `IOException` - if an exception occurs during io operations

  - ### write

    public void write(DataOutput output) throws IOException
    Write this `NamedTag` into a `DataOutput`.
    Specified by:
      `write` in interface `Tag`
    Parameters:
      `output` - the output to write to
    Throws:
      `IOException` - if an exception occurs during io operations

  - ### getName

    public String getName()

  - ### getTag

    public TypedTag getTag()

  - ### setName

    public void setName(String name)

  - ### setTag

    public void setTag(TypedTag tag)

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`